<?xml version='1.0'?>

<xsl:stylesheet version="1.1"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:csc="http://csclub.uwaterloo.ca/xsltproc">

<xsl:template match="positions">
  <xsl:variable name="exec" select="@exec" />
  <xsl:for-each select="csc:position-list('')/position[@exec=$exec]">
    <xsl:sort select="@order" order="ascending" />
    <xsl:if test="holder">
      <p>
        <div class="position">
          <a href="mailto:{@position}@csclub.uwaterloo.ca"><xsl:value-of select="@name" /></a>
        </div>
        <xsl:for-each select="holder">
          <xsl:value-of select="@name" /><br />
        </xsl:for-each>
      </p>
    </xsl:if>
  </xsl:for-each>
</xsl:template>

</xsl:stylesheet>
